package com.ym.library.module;

import java.util.List;

/**
 * @author (wangXuewei)
 * @datetime 2021-02-04 14:49 GMT+8
 * @detail :
 */
public class GameConfigValueEntity {
    /**
     * gameValue : {"initClearBugNum":3,"fertilizeReduceMinute":20,"acceleratorsReduceMinute":30,"rewardAcceleratorsByVideo":3,"rewardClearBugByVideo":3,"initUnlockLandNum":2,"unlockLandVideoStarting":4,"notBugPlantNum":10}
     * plantValueList : [{"level":1,"name":"番茄","growthMinuteList":[{"num":1,"minute":5},{"num":61,"minute":10},{"num":81,"minute":15},{"num":91,"minute":20},{"num":101,"minute":25}]},{"level":2,"name":"南瓜","growthMinuteList":[{"num":1,"minute":10},{"num":61,"minute":15},{"num":81,"minute":20},{"num":91,"minute":25},{"num":101,"minute":30}]},{"level":3,"name":"萝卜","growthMinuteList":[{"num":1,"minute":15},{"num":61,"minute":20},{"num":81,"minute":25},{"num":91,"minute":30},{"num":101,"minute":35}]},{"level":4,"name":"玉米","growthMinuteList":[{"num":1,"minute":20},{"num":61,"minute":25},{"num":81,"minute":30},{"num":91,"minute":35},{"num":101,"minute":40}]},{"level":5,"name":"茄子","growthMinuteList":[{"num":1,"minute":25},{"num":61,"minute":30},{"num":81,"minute":35},{"num":91,"minute":40},{"num":101,"minute":45}]},{"level":6,"name":"西瓜","growthMinuteList":[{"num":1,"minute":30},{"num":61,"minute":35},{"num":81,"minute":40},{"num":91,"minute":45},{"num":101,"minute":50}]},{"level":7,"name":"葡萄","growthMinuteList":[{"num":1,"minute":35},{"num":61,"minute":40},{"num":81,"minute":45},{"num":91,"minute":50},{"num":101,"minute":55}]},{"level":8,"name":"草莓","growthMinuteList":[{"num":1,"minute":40},{"num":61,"minute":45},{"num":81,"minute":50},{"num":91,"minute":55},{"num":101,"minute":60}]}]
     */

    private GameValueBean gameValue;
    private List<PlantValueListBean> plantValueList;

    public GameValueBean getGameValue() {
        return gameValue;
    }

    public void setGameValue(GameValueBean gameValue) {
        this.gameValue = gameValue;
    }

    public List<PlantValueListBean> getPlantValueList() {
        return plantValueList;
    }

    public void setPlantValueList(List<PlantValueListBean> plantValueList) {
        this.plantValueList = plantValueList;
    }

    public static class GameValueBean {
        /**
         * initClearBugNum : 3
         * fertilizeReduceMinute : 20
         * acceleratorsReduceMinute : 30
         * rewardAcceleratorsByVideo : 3
         * rewardClearBugByVideo : 3
         * initUnlockLandNum : 2
         * unlockLandVideoStarting : 4
         * notBugPlantNum : 10
         */

        private int initClearBugNum;
        private int fertilizeReduceMinute;
        private int acceleratorsReduceMinute;
        private int rewardAcceleratorsByVideo;
        private int rewardClearBugByVideo;
        private int initUnlockLandNum;
        private int unlockLandVideoStarting;
        private int notBugPlantNum;

        public int getInitClearBugNum() {
            return initClearBugNum;
        }

        public void setInitClearBugNum(int initClearBugNum) {
            this.initClearBugNum = initClearBugNum;
        }

        public int getFertilizeReduceMinute() {
            return fertilizeReduceMinute;
        }

        public void setFertilizeReduceMinute(int fertilizeReduceMinute) {
            this.fertilizeReduceMinute = fertilizeReduceMinute;
        }

        public int getAcceleratorsReduceMinute() {
            return acceleratorsReduceMinute;
        }

        public void setAcceleratorsReduceMinute(int acceleratorsReduceMinute) {
            this.acceleratorsReduceMinute = acceleratorsReduceMinute;
        }

        public int getRewardAcceleratorsByVideo() {
            return rewardAcceleratorsByVideo;
        }

        public void setRewardAcceleratorsByVideo(int rewardAcceleratorsByVideo) {
            this.rewardAcceleratorsByVideo = rewardAcceleratorsByVideo;
        }

        public int getRewardClearBugByVideo() {
            return rewardClearBugByVideo;
        }

        public void setRewardClearBugByVideo(int rewardClearBugByVideo) {
            this.rewardClearBugByVideo = rewardClearBugByVideo;
        }

        public int getInitUnlockLandNum() {
            return initUnlockLandNum;
        }

        public void setInitUnlockLandNum(int initUnlockLandNum) {
            this.initUnlockLandNum = initUnlockLandNum;
        }

        public int getUnlockLandVideoStarting() {
            return unlockLandVideoStarting;
        }

        public void setUnlockLandVideoStarting(int unlockLandVideoStarting) {
            this.unlockLandVideoStarting = unlockLandVideoStarting;
        }

        public int getNotBugPlantNum() {
            return notBugPlantNum;
        }

        public void setNotBugPlantNum(int notBugPlantNum) {
            this.notBugPlantNum = notBugPlantNum;
        }
    }

    public static class PlantValueListBean {
        /**
         * level : 1
         * name : 番茄
         * growthMinuteList : [{"num":1,"minute":5},{"num":61,"minute":10},{"num":81,"minute":15},{"num":91,"minute":20},{"num":101,"minute":25}]
         */

        private int level;
        private String name;
        private List<GrowthMinuteListBean> growthMinuteList;

        public int getLevel() {
            return level;
        }

        public void setLevel(int level) {
            this.level = level;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public List<GrowthMinuteListBean> getGrowthMinuteList() {
            return growthMinuteList;
        }

        public void setGrowthMinuteList(List<GrowthMinuteListBean> growthMinuteList) {
            this.growthMinuteList = growthMinuteList;
        }

        public static class GrowthMinuteListBean {
            /**
             * num : 1
             * minute : 5
             */

            private int num;
            private int minute;

            public int getNum() {
                return num;
            }

            public void setNum(int num) {
                this.num = num;
            }

            public int getMinute() {
                return minute;
            }

            public void setMinute(int minute) {
                this.minute = minute;
            }
        }
    }
}
